/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.user;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.yiring.app.vo.user.UserVo;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户导出
 *
 * @author LJ-2204
 * @date 2022/4/24
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 7104402721241163991L;

    @ExcelColumn(title = "真实姓名")
    String realName;

    @ExcelColumn(title = "创建时间")
    String createTime;

    public static UserExportExcel transform(UserVo userVo) {
        return UserExportExcel
            .builder()
            .realName(userVo.getRealName())
            .createTime(LocalDateTimeUtil.format(userVo.getCreateTime(), "yyyy-MM-dd HH:mm:ss"))
            .build();
    }
}
